org.apache.lucene.search.similarities

## Class BasicModelG

- java.lang.Object
- - org.apache.lucene.search.similarities.BasicModel
  - - org.apache.lucene.search.similarities.BasicModelG

    public class BasicModelG
    extends BasicModel

Geometric as limiting form of the Bose-Einstein model. The formula used in Lucene differs slightly from the one in the original paper: `F` is increased by `1` and `N` is increased by `F`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`BasicModelG()` Sole constructor: parameter-free

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `score(BasicStats stats, float tfn)` Returns the informative content score.
`String` `toString()` Subclasses must override this method to return the code of the basic model formula.

### Methods inherited from class org.apache.lucene.search.similarities.BasicModel

`explain`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicModelG

    public BasicModelG()

Sole constructor: parameter-free

### Method Detail

#### score

    public final float score(BasicStats stats,
                             float tfn)

Description copied from class: `BasicModel`
Returns the informative content score.

Specified by:
  `score` in class `BasicModel`

#### toString

    public String toString()

Description copied from class: `BasicModel`
Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `BasicModel`